Insync beta 3.0.8 not working on Xubuntu

Hi.
The last few days i have done a lot re inst of distros, i have settled down on xubuntu 18.04.2 but i have found out that insync beta 3 does not work on Xubuntu. Ubuntu Mate, Ubuntu, Kubuntu and MX Linux it works great on.

I need the onedrive sync so i need insync to work on xubuntu.

A few days i go i got a older version of the insync beta to work, but i cannot find out where to download it now.

I have a few versions downloaded locally,
https://drive.google.com/drive/folders/1vf7Tji9haYrIxuGlPaDjcDCMy1RT15TE?usp=sharing

I got it working. insync start --no-daemon got me a: qt.qpa.plugin: Could not load the Qt platform plugin “xcb” in “” even though it was found.

So sudo apt-get install libxcb-render-util0 libxcb-image0 libxcb-keysyms1 libxcb-icccm4.

Got it working

1 Like

Nice to hear it’s working @oljo_oljo

I got the exact same error, but installing those libraries did not fix the problem. I still get the same error when I enter insync start --no-daemon.

I also ran the command “sudo ln -sf /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/ /usr/bin/” that I found here.

Any ideas?

Hi @marsgorski,

Can you let me know what version you’re trying to install?

Yes, I tried to install insync_3.0.15.40277-bionic_amd64.deb and I used Method 2 in this page.

and I should add that I am running a pretty fresh install of Xubuntu 18.04.

I just tried opening insync again and it worked! A few days ago I tried method 1 instead of method 2. I thought I checked whether that worked and in my mind I remember it not working. However I tried opening insync again today (didn’t reinstall or change anything), and miraculously it worked!

1 Like

In addition to the above I also installed sudo apt install libxkbcommon-x11-0 to make it work.

1 Like